## org.eclipse.datatools.modelbase.sql.constraints
Class MatchType

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.modelbase.sql.constraints.MatchType

public final class MatchType
extends AbstractEnumerator

A representation of the literals of the enumeration 'Match Type', and utility methods for working with them. See KeyRelationship description.

See Also:
  `SQLConstraintsPackage.getMatchType()`, Serialized Form

Field Summary
`static int` `MATCH_FULL` The 'MATCH FULL' literal value.
`static MatchType` `MATCH_FULL_LITERAL` The 'MATCH FULL' literal object.
`static int` `MATCH_PARTIAL` The 'MATCH PARTIAL' literal value.
`static MatchType` `MATCH_PARTIAL_LITERAL` The 'MATCH PARTIAL' literal object.
`static int` `MATCH_SIMPLE` The 'MATCH SIMPLE' literal value.
`static MatchType` `MATCH_SIMPLE_LITERAL` The 'MATCH SIMPLE' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Match Type' enumerators.

Method Summary
`static MatchType` `get(int value)` Returns the 'Match Type' literal with the specified integer value.
`static MatchType` `get(java.lang.String literal)` Returns the 'Match Type' literal with the specified literal value.
`static MatchType` `getByName(java.lang.String name)` Returns the 'Match Type' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MATCH_SIMPLE

    public static final int MATCH_SIMPLE

  The 'MATCH SIMPLE' literal value.

  See Also:
    `MATCH_SIMPLE_LITERAL`, Constant Field Values

### MATCH_FULL

    public static final int MATCH_FULL

  The 'MATCH FULL' literal value.

  See Also:
    `MATCH_FULL_LITERAL`, Constant Field Values

### MATCH_PARTIAL

    public static final int MATCH_PARTIAL

  The 'MATCH PARTIAL' literal value.

  See Also:
    `MATCH_PARTIAL_LITERAL`, Constant Field Values

### MATCH_SIMPLE_LITERAL

    public static final MatchType MATCH_SIMPLE_LITERAL

  The 'MATCH SIMPLE' literal object.

  If the meaning of 'MATCH SIMPLE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MATCH_SIMPLE`

### MATCH_FULL_LITERAL

    public static final MatchType MATCH_FULL_LITERAL

  The 'MATCH FULL' literal object.

  If the meaning of 'MATCH FULL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MATCH_FULL`

### MATCH_PARTIAL_LITERAL

    public static final MatchType MATCH_PARTIAL_LITERAL

  The 'MATCH PARTIAL' literal object.

  If the meaning of 'MATCH PARTIAL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `MATCH_PARTIAL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Match Type' enumerators.

Method Detail

### get

    public static MatchType get(java.lang.String literal)

  Returns the 'Match Type' literal with the specified literal value.

### getByName

    public static MatchType getByName(java.lang.String name)

  Returns the 'Match Type' literal with the specified name.

### get

    public static MatchType get(int value)

  Returns the 'Match Type' literal with the specified integer value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.